%define upstream_name    MasonX-Request-ExtendedCompRoot
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	MasonX::Request::ExtendedCompRoot - Extend  functionality of Mason's component root
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/MasonX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(HTML::Mason) >= 1.240.0
BuildArch:	noarch


%description
"MasonX::Request::ExtendedCompRoot" lets you alter Mason's
component root during the lifetime of any given request or
subrequest. This behaviour is useful if you want to override
certain components, but cannot determine that at the moment you
create your handler (when you could in theory create an interp
object with a different component root) or because you configure
Mason in an httpd.conf.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor 
%{__make}

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE README
%{perl_vendorlib}/MasonX/
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-5.mga9
+ Revision: 1809587
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-4.mga8
+ Revision: 1505062
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.40.0-3.mga7
+ Revision: 1284748
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.40.0-2.mga7
+ Revision: 1165292
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 sander85 <sander85> 0.40.0-1.mga7
+ Revision: 1155524
- update to 0.04

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-8.mga6
+ Revision: 1029528
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.30.0-7.mga6
+ Revision: 931711
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-6.mga5
+ Revision: 746683
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-5.mga5
+ Revision: 685338
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.30.0-4.mga4
+ Revision: 512755
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-3.mga3
+ Revision: 369509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 jquelin <jquelin> 0.30.0-2.mga1
+ Revision: 41951
- mageia rebuild
- update buildrequires
- mageia rebuild
- imported package perl-MasonX-Request-ExtendedCompRoot


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-2mdv2010.0
+ Revision: 405862
- bump mkrel to force rebuild
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.03-4mdv2009.0
+ Revision: 241716
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-2mdk
- Fix According to perl Policy
	- Source URL

* Fri Jan 27 2006 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdk
- initial Mandriva package

